Package: org.grails.commons

## [Java] Interface GrailsCodecClass

- grails.core.support.GrailsApplicationAware

- All Superinterfaces:
    CodecFactory, InjectableGrailsClass, GrailsClass, GrailsApplicationAware

      public interface GrailsCodecClass
      extends CodecFactory, InjectableGrailsClass

  Provides access to Codec classes. A Codec class one that ends in the convention "Codec" and provides encode and decode methods or closure properties.

  Authors:
    Jeff Brown
  Since:
    0.4

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `configureCodecMethods()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface CodecFactory` | `getDecoder, getEncoder`
    `interface InjectableGrailsClass` | `byName, byType, getAvailable`
    `interface GrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPluginName, getPropertyName, getPropertyValue, getPropertyValue, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance`
    `interface GrailsApplicationAware` | `setGrailsApplication`

- - ### Method Detail

    - #### public void configureCodecMethods()